Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ziclix.python.sql
Class PyExtendedCursor

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--com.ziclix.python.sql.PyCursor
                  |
                  +--com.ziclix.python.sql.PyExtendedCursor

All Implemented Interfaces:
  ClassDictInit, java.io.Serializable

public class PyExtendedCursor
extends PyCursor

A cursor with extensions to the DB API 2.0.

Version:
  $Revision: 1.7 $
Author:
  brian zimmer
, last revised by $Author: bzimmer $
See Also:
  Serialized Form

Field Summary
`static PyClass` | `__class__` Field __class__

Method Summary
`PyObject` | `__findattr__(java.lang.String name)` Finds the attribute.
`static void` | `classDictInit(PyObject dict)` Initializes the module.
`java.lang.String` | `toString()` String representation of the object.

Methods inherited from class com.ziclix.python.sql.PyCursor
`__del__, __setattr__, callproc, close, execute, executemany, fetchall, fetchmany, fetchone, getDataHandler, nextset`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __class__

    public static PyClass __class__

  Field __class__

Method Detail

### toString

    public java.lang.String toString()

  String representation of the object.

  Overrides:
    `toString` in class `PyCursor`
  Returns:
    a string representation of the object.

### classDictInit

    public static void classDictInit(PyObject dict)

  Initializes the module.

  Parameters:
    `dict` -

### __findattr__

    public PyObject __findattr__(java.lang.String name)

  Finds the attribute.

  Overrides:
    `__findattr__` in class `PyCursor`
  Parameters:
    `name` - the name of the attribute of interest
  Returns:
    the value for the attribute of the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage